Ignore:
Timestamp:
Dec 1, 2012 2:46:30 PM (8 years ago)
Author:
stefan
Message:

rerun autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Metis/trunk/configure

    r2665 r2674  
    10671067                          icl/link). Default when mentioned: mingw. Default
    10681068                          when not mentioned: disabled.
    1069   --enable-static-standardlibs
    1070                           whether to link against static standard libraries
    1071                           (libgcc, libgfortran, libstdc++)
    10721069  --disable-pkg-config    disable use of pkg-config (if available)
    10731070  --enable-static[=PKGS]
     
    19061903echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    19071904  fi
    1908 
    1909 
    1910 
    1911 # check whether to add flags for static linking against standard libraries
    1912 # Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
    1913 if test "${enable_static_standardlibs+set}" = set; then
    1914   enableval="$enable_static_standardlibs"
    1915   case "$enableval" in
    1916      no | yes | auto ) ;;
    1917      *)
    1918        { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
    1919 echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
    1920    { (exit 1); exit 1; }; } ;;
    1921    esac
    1922    use_static_standardlibs=$enableval
    1923 else
    1924   if test $enable_shared = yes ; then
    1925      use_static_standardlibs = no
    1926    else
    1927      use_static_standardlibs = auto
    1928    fi
    1929 
    1930 
    1931 fi;
    1932 
    1933 
    19341905
    19351906
     
    30583029    CFLAGS="$OPT_CFLAGS"
    30593030  fi
    3060 
    30613031else
    30623032  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    32273197esac
    32283198
    3229 # check whether to add flags for static linking against standard libraries to LDFLAGS
    3230 if test x$use_static_standardlibs != xno ; then
    3231   case $build in
    3232     *-mingw*)
    3233       static_standardlib_flag=-static
    3234       ;;
    3235     *)
    3236       static_standardlib_flag=-static-libgcc
    3237       ;;
    3238   esac
    3239   case " $LDFLAGS " in
    3240     *" $static_standardlib_flag "* ) ;;
    3241     *)
    3242     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    3243 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    3244     coin_save_LDFLAGS="$LDFLAGS"
    3245     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    3246     cat >conftest.$ac_ext <<_ACEOF
    3247 /* confdefs.h.  */
    3248 _ACEOF
    3249 cat confdefs.h >>conftest.$ac_ext
    3250 cat >>conftest.$ac_ext <<_ACEOF
    3251 /* end confdefs.h.  */
    3252 
    3253 int
    3254 main ()
    3255 {
    3256 int i=0;
    3257   ;
    3258   return 0;
    3259 }
    3260 _ACEOF
    3261 rm -f conftest.$ac_objext conftest$ac_exeext
    3262 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3263   (eval $ac_link) 2>conftest.er1
    3264   ac_status=$?
    3265   grep -v '^ *+' conftest.er1 >conftest.err
    3266   rm -f conftest.er1
    3267   cat conftest.err >&5
    3268   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3269   (exit $ac_status); } &&
    3270          { ac_try='test -z "$ac_c_werror_flag"
    3271                          || test ! -s conftest.err'
    3272   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3273   (eval $ac_try) 2>&5
    3274   ac_status=$?
    3275   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3276   (exit $ac_status); }; } &&
    3277          { ac_try='test -s conftest$ac_exeext'
    3278   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3279   (eval $ac_try) 2>&5
    3280   ac_status=$?
    3281   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3282   (exit $ac_status); }; }; then
    3283   echo "$as_me:$LINENO: result: yes" >&5
    3284 echo "${ECHO_T}yes" >&6
    3285 else
    3286   echo "$as_me: failed program was:" >&5
    3287 sed 's/^/| /' conftest.$ac_ext >&5
    3288 
    3289 echo "$as_me:$LINENO: result: no" >&5
    3290 echo "${ECHO_T}no" >&6
    3291        LDFLAGS="$coin_save_LDFLAGS"
    3292        if test $use_static_standardlibs = yes ; then
    3293          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    3294 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    3295    { (exit 1); exit 1; }; }
    3296        fi
    3297 
    3298 fi
    3299 rm -f conftest.err conftest.$ac_objext \
    3300       conftest$ac_exeext conftest.$ac_ext
    3301     ;;
    3302   esac
    3303 fi
    3304 
    33053199ac_ext=c
    33063200ac_cpp='$CPP $CPPFLAGS'
     
    34543348# unfortunately, ${libdir} expands to ${exec_prefix}/lib and ${exec_prefix} to ${prefix}...
    34553349if test "x${prefix}" = xNONE ; then
    3456   COIN_PKG_CONFIG_PATH="${ac_default_prefix}/lib64/pkgconfig:${ac_default_prefix}/lib/pkgconfig:${ac_default_prefix}/share/pkgconfig:${COIN_PKG_CONFIG_PATH}"
    3457 else
    3458   COIN_PKG_CONFIG_PATH="${prefix}/lib64/pkgconfig:${prefix}/lib/pkgconfig:${prefix}/share/pkgconfig:${COIN_PKG_CONFIG_PATH}"
     3350  COIN_PKG_CONFIG_PATH="${ac_default_prefix}/lib/pkgconfig:${ac_default_prefix}/share/pkgconfig:${COIN_PKG_CONFIG_PATH}"
     3351else
     3352  COIN_PKG_CONFIG_PATH="${prefix}/lib/pkgconfig:${prefix}/share/pkgconfig:${COIN_PKG_CONFIG_PATH}"
    34593353fi
    34603354
     
    51525046*-*-irix6*)
    51535047  # Find out which ABI we are using.
    5154   echo '#line 5154 "configure"' > conftest.$ac_ext
     5048  echo '#line 5048 "configure"' > conftest.$ac_ext
    51555049  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    51565050  (eval $ac_compile) 2>&5
     
    67516645
    67526646# Provide some information about the compiler.
    6753 echo "$as_me:6753:" \
     6647echo "$as_me:6647:" \
    67546648     "checking for Fortran 77 compiler version" >&5
    67556649ac_compiler=`set X $ac_compile; echo $2`
     
    78187712   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    78197713   -e 's:$: $lt_compiler_flag:'`
    7820    (eval echo "\"\$as_me:7820: $lt_compile\"" >&5)
     7714   (eval echo "\"\$as_me:7714: $lt_compile\"" >&5)
    78217715   (eval "$lt_compile" 2>conftest.err)
    78227716   ac_status=$?
    78237717   cat conftest.err >&5
    7824    echo "$as_me:7824: \$? = $ac_status" >&5
     7718   echo "$as_me:7718: \$? = $ac_status" >&5
    78257719   if (exit $ac_status) && test -s "$ac_outfile"; then
    78267720     # The compiler can only warn and ignore the option if not recognized
     
    80867980   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    80877981   -e 's:$: $lt_compiler_flag:'`
    8088    (eval echo "\"\$as_me:8088: $lt_compile\"" >&5)
     7982   (eval echo "\"\$as_me:7982: $lt_compile\"" >&5)
    80897983   (eval "$lt_compile" 2>conftest.err)
    80907984   ac_status=$?
    80917985   cat conftest.err >&5
    8092    echo "$as_me:8092: \$? = $ac_status" >&5
     7986   echo "$as_me:7986: \$? = $ac_status" >&5
    80937987   if (exit $ac_status) && test -s "$ac_outfile"; then
    80947988     # The compiler can only warn and ignore the option if not recognized
     
    81908084   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    81918085   -e 's:$: $lt_compiler_flag:'`
    8192    (eval echo "\"\$as_me:8192: $lt_compile\"" >&5)
     8086   (eval echo "\"\$as_me:8086: $lt_compile\"" >&5)
    81938087   (eval "$lt_compile" 2>out/conftest.err)
    81948088   ac_status=$?
    81958089   cat out/conftest.err >&5
    8196    echo "$as_me:8196: \$? = $ac_status" >&5
     8090   echo "$as_me:8090: \$? = $ac_status" >&5
    81978091   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    81988092   then
     
    1053510429  lt_status=$lt_dlunknown
    1053610430  cat > conftest.$ac_ext <<EOF
    10537 #line 10537 "configure"
     10431#line 10431 "configure"
    1053810432#include "confdefs.h"
    1053910433
     
    1063510529  lt_status=$lt_dlunknown
    1063610530  cat > conftest.$ac_ext <<EOF
    10637 #line 10637 "configure"
     10531#line 10531 "configure"
    1063810532#include "confdefs.h"
    1063910533
     
    1297912873   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1298012874   -e 's:$: $lt_compiler_flag:'`
    12981    (eval echo "\"\$as_me:12981: $lt_compile\"" >&5)
     12875   (eval echo "\"\$as_me:12875: $lt_compile\"" >&5)
    1298212876   (eval "$lt_compile" 2>conftest.err)
    1298312877   ac_status=$?
    1298412878   cat conftest.err >&5
    12985    echo "$as_me:12985: \$? = $ac_status" >&5
     12879   echo "$as_me:12879: \$? = $ac_status" >&5
    1298612880   if (exit $ac_status) && test -s "$ac_outfile"; then
    1298712881     # The compiler can only warn and ignore the option if not recognized
     
    1308312977   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1308412978   -e 's:$: $lt_compiler_flag:'`
    13085    (eval echo "\"\$as_me:13085: $lt_compile\"" >&5)
     12979   (eval echo "\"\$as_me:12979: $lt_compile\"" >&5)
    1308612980   (eval "$lt_compile" 2>out/conftest.err)
    1308712981   ac_status=$?
    1308812982   cat out/conftest.err >&5
    13089    echo "$as_me:13089: \$? = $ac_status" >&5
     12983   echo "$as_me:12983: \$? = $ac_status" >&5
    1309012984   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1309112985   then
     
    1465314547   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1465414548   -e 's:$: $lt_compiler_flag:'`
    14655    (eval echo "\"\$as_me:14655: $lt_compile\"" >&5)
     14549   (eval echo "\"\$as_me:14549: $lt_compile\"" >&5)
    1465614550   (eval "$lt_compile" 2>conftest.err)
    1465714551   ac_status=$?
    1465814552   cat conftest.err >&5
    14659    echo "$as_me:14659: \$? = $ac_status" >&5
     14553   echo "$as_me:14553: \$? = $ac_status" >&5
    1466014554   if (exit $ac_status) && test -s "$ac_outfile"; then
    1466114555     # The compiler can only warn and ignore the option if not recognized
     
    1475714651   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1475814652   -e 's:$: $lt_compiler_flag:'`
    14759    (eval echo "\"\$as_me:14759: $lt_compile\"" >&5)
     14653   (eval echo "\"\$as_me:14653: $lt_compile\"" >&5)
    1476014654   (eval "$lt_compile" 2>out/conftest.err)
    1476114655   ac_status=$?
    1476214656   cat out/conftest.err >&5
    14763    echo "$as_me:14763: \$? = $ac_status" >&5
     14657   echo "$as_me:14657: \$? = $ac_status" >&5
    1476414658   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1476514659   then
     
    1696416858   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1696516859   -e 's:$: $lt_compiler_flag:'`
    16966    (eval echo "\"\$as_me:16966: $lt_compile\"" >&5)
     16860   (eval echo "\"\$as_me:16860: $lt_compile\"" >&5)
    1696716861   (eval "$lt_compile" 2>conftest.err)
    1696816862   ac_status=$?
    1696916863   cat conftest.err >&5
    16970    echo "$as_me:16970: \$? = $ac_status" >&5
     16864   echo "$as_me:16864: \$? = $ac_status" >&5
    1697116865   if (exit $ac_status) && test -s "$ac_outfile"; then
    1697216866     # The compiler can only warn and ignore the option if not recognized
     
    1723217126   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1723317127   -e 's:$: $lt_compiler_flag:'`
    17234    (eval echo "\"\$as_me:17234: $lt_compile\"" >&5)
     17128   (eval echo "\"\$as_me:17128: $lt_compile\"" >&5)
    1723517129   (eval "$lt_compile" 2>conftest.err)
    1723617130   ac_status=$?
    1723717131   cat conftest.err >&5
    17238    echo "$as_me:17238: \$? = $ac_status" >&5
     17132   echo "$as_me:17132: \$? = $ac_status" >&5
    1723917133   if (exit $ac_status) && test -s "$ac_outfile"; then
    1724017134     # The compiler can only warn and ignore the option if not recognized
     
    1733617230   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1733717231   -e 's:$: $lt_compiler_flag:'`
    17338    (eval echo "\"\$as_me:17338: $lt_compile\"" >&5)
     17232   (eval echo "\"\$as_me:17232: $lt_compile\"" >&5)
    1733917233   (eval "$lt_compile" 2>out/conftest.err)
    1734017234   ac_status=$?
    1734117235   cat out/conftest.err >&5
    17342    echo "$as_me:17342: \$? = $ac_status" >&5
     17236   echo "$as_me:17236: \$? = $ac_status" >&5
    1734317237   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1734417238   then
Note: See TracChangeset for help on using the changeset viewer.